# 2.0.15: /usr/local/dovecot/etc/dovecot/dovecot.conf
# OS: SunOS 5.10 i86pc  nfs
auth_cache_negative_ttl = 0
auth_debug_passwords = yes
auth_failure_delay = 5 secs
auth_master_user_separator = *
auth_mechanisms = plain login
auth_username_format = %u
auth_verbose = yes
auth_verbose_passwords = sha1
base_dir = /var/run/dovecot/
debug_log_path = /var/log/dovecot-debug.log
disable_plaintext_auth = no
lda_mailbox_autocreate = yes
lda_mailbox_autosubscribe = yes
log_path = /var/log/dovecot.log
login_greeting = company POP/IMAP ready.
mail_debug = yes
mail_fsync = always
mail_location = maildir:/var/vmail/%d/%n/Maildir:INDEX=/var/dovecot/indexes/%d/%n
mail_nfs_storage = yes
mail_plugins = quota trash zlib autocreate
mailbox_idle_check_interval = 1 mins
managesieve_notify_capability = mailto
managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date ihave vacation-seconds
passdb {
  args = /etc/dovecot/master-user
  driver = passwd-file
  master = yes
  pass = yes
}
passdb {
  args = /etc/dovecot/dovecot-ldap.conf.ext
  driver = ldap
}
passdb {
  driver = passwd
}
plugin {
  quota = maildir:User quota
  quota_rule = *:storage=2G
  quota_warning = storage=90%% quota-warning 90 %u
  sieve_extensions = +vacation-seconds
  sieve_vacation_min_period = 1h
}
postmaster_address = postmaster@company.com
protocols = imap pop3 lmtp sieve
quota_full_tempfail = yes
service auth {
  unix_listener auth-userdb {
    mode = 0600
    user = vmail
  }
  user = $default_internal_user
}
service dict {
  unix_listener dict {
    group = vmail
    mode = 0600
  }
}
service imap-login {
  inet_listener imap {
    port = 143
  }
  inet_listener imaps {
    port = 993
    ssl = yes
  }
}
service lmtp {
  inet_listener lmtp {
    address = 10.234.201.9
    port = 24
  }
  unix_listener lmtp {
    mode = 0666
    user = vmail
  }
}
service managesieve-login {
  inet_listener sieve {
    port = 4190
  }
  process_min_avail = 0
  service_count = 1
  vsz_limit = 64 M
}
service pop3-login {
  inet_listener pop3 {
    port = 110
  }
  inet_listener pop3s {
    port = 995
    ssl = yes
  }
}
ssl_ca = /etc/dovecot/cacert.pem
ssl_cert = </etc/dovecot/pop.company.com.crt
ssl_key = </etc/dovecot/pop.company.com-decrypted.key
userdb {
  args = /etc/dovecot/dovecot-ldap.conf.ext
  driver = ldap
}
userdb {
  driver = passwd
}
userdb {
  args = uid=5000 gid=5000 home=/var/vmail/%d/%n proxy=y host=10.234.201.9
  driver = static
}
verbose_proctitle = yes
verbose_ssl = yes
protocol lda {
  info_log_path = /var/log/dovecot-lda.log
  log_path = /var/log/dovecot-lda-errors.log
  mail_plugins = quota trash zlib autocreate
  postmaster_address = postmaster@example.com
}
protocol sieve {
  mail_debug = yes
  mail_max_userip_connections = 10
  managesieve_max_line_length = 65536
}
protocol imap {
  mail_plugins = quota trash zlib autocreate imap_quota acl imap_acl imap_zlib
  ssl_cert = </etc/dovecot/imap.company.com.crt
  ssl_key = </etc/dovecot/imap.company.com-decrypted.key
}
protocol lmtp {
  mail_plugins = quota trash zlib autocreate sieve
}
protocol pop3 {
  mail_plugins = quota trash zlib autocreate
  pop3_uidl_format = %08Xv%08Xu
  ssl_cert = </etc/dovecot/pop.company.com.crt
  ssl_key = </etc/dovecot/pop.company.com-decrypted.key
}
